<template>
  <router-link
    :class="{ '-mobile': isMobile }"
    class="app-header-logo uikit-flex uikit-items-center uikit-relative z-10 uikit-leading-none uikit-shrink-0"
    :to="logoLink"
  >
    <div class="logo-wrapper">
      <ui-icon-slr-logo
        name="slr-logo"
        class="logo"
      />
    </div>
    <div
      class="title uikit-text-18 uikit-flex uikit-items-center justify-start uppercase uikit-text-white"
      v-if="!isMobile"
    >
      SLR
      <div class="dot uikit-rounded-full"></div>
      FINANCE
    </div>
  </router-link>
</template>

<script lang="ts">
  import type { RouteLocationRaw } from 'vue-router'
  import { defineComponent, PropType } from 'vue'
  import { UiIconSlrLogo } from '../UiIcon'

  export default defineComponent({
    name: 'app-header-logo',
    props: {
      logoLink: {
        type: [String, Object] as PropType<RouteLocationRaw>,
        default: '/',
      },
      isMobile: {
        type: Boolean,
        default: false,
      },
    },
    components: {
      UiIconSlrLogo,
    },
  })
</script>

<style>
  .app-header-logo:not(.-mobile) {
    min-width: 300px;
  }
  .app-header-logo:not(.-mobile) > .logo-wrapper {
    @apply uikit-w-72 uikit-flex uikit-justify-center uikit-items-center;
  }
  .app-header-logo:not(.-mobile) > .logo-wrapper > .logo {
    @apply uikit-w-50 uikit-h-50;
  }

  .app-header-logo.-mobile > .logo-wrapper > .logo {
    @apply uikit-w-36 uikit-h-36 uikit-mr-16;
  }

  .app-header-logo > .title > .dot {
    background: radial-gradient(173% 173% at 181% 176%, #6071ff 66.96%, #27fdff 83%);
    width: 5px;
    height: 5px;
    margin: 2px 3px 0 3px;
  }
</style>
